Skip to main content
GET
/
events
List events
curl --request GET \
  --url https://api-staging.pixwel.com/api/events \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'X-Range: <x-range>'
[
  {
    "_id": "52e11a9267d62164058b4567",
    "from": {
      "_id": "51e14988d5cddcab41000000",
      "name": "Pixwel Admin",
      "emailNormal": "admin@pixwel.com",
      "$links": {
        "self": "//api-staging.pixwel.com/api/Users/51e14988d5cddcab41000000"
      }
    },
    "type": "fd",
    "files": [
      "52e09be167d621507d8b4589"
    ],
    "processed": true,
    "pushed": true,
    "created": 1390484114
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

X-Range
string
default:resources=0-9
required

Pagination range (e.g. resources=0-9, resources=10-19)

Query Parameters

type
string
workRequest
string
dateTo
string
unwind
string

Response

200 - application/json

OK

_id
string
Example:

"52e11a9267d62164058b4567"

from
object
type
string
Example:

"fd"

files
string[]
processed
boolean
Example:

true

pushed
boolean
Example:

true

created
integer
Example:

1390484114